%perl_module RPM-Specfile 1.17 1_13

Summary:       Perl extension for creating RPM Specfiles.
Group:         Applications/CPAN
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkgname}/
Source0:       http://search.cpan.org/CPAN/authors/id/C/CH/CHIPT/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Simple module for creation of RPM Spec files.  Used by cpanflute2 to
turn CPAN tarballs into RPM modules.  See the included script
cpanflute2 for usage; documentation coming soon.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/RPM/Specfile.pm
%{perl_man3dir}/RPM::Specfile*.3pm*
%{perl_bin}/cpanflute2

%changelog
* Fri Aug 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.17.

* Sat Nov 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 1.13.

* Tue Jun 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 1.12.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to new macros.

* Thu Mar  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.11.
- Use %{buildroot} and %{installarchlib}.
- Make compatible to rpm 4.2.

* Wed Nov 20 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- small fixes.

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
